package api;

import com.github.cliftonlabs.json_simple.JsonObject;
import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;


class ResponseHandlerTest {

    @Test
    public void TestGetResponse(){
        ResponseHandler vResponseHandler = new ResponseHandler();

        String [] vPath = {};
        JsonObject vErrorObject = new JsonObject();

        vErrorObject.put("error", "Method 'CAFE' not implemented");
        assertEquals(vErrorObject, vResponseHandler.getResponse("CAFE", vPath, "Yo", null));

        vErrorObject.put("error", "DELETE with 0 subdirectories not implemented");
        assertEquals(vErrorObject, vResponseHandler.getResponse("DELETE", vPath, "Yo", null));

        vPath = new String[]{"elo", "elo"};
        vErrorObject.put("error", "DELETE with 2 subdirectories not implemented");
        assertEquals(vErrorObject, vResponseHandler.getResponse("DELETE", vPath, "Yo", null));

    }
}